## ros-noetic-object-recognition-msgs 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(object_recognition_msgs)

# generate the messages and the actionlib server for ROS
find_package(catkin REQUIRED actionlib_msgs genmsg geometry_msgs sensor_msgs shape_msgs std_msgs)

add_action_files(DIRECTORY action FILES ObjectRecognition.action)
add_service_files(DIRECTORY srv FILES GetObjectInformation.srv)

add_message_files(DIRECTORY msg
                  FILES ObjectType.msg
                        ObjectInformation.msg
                        RecognizedObject.msg
                        RecognizedObjectArray.msg
                        Table.msg
                        TableArray.msg
)

generate_messages(DEPENDENCIES actionlib_msgs geometry_msgs sensor_msgs shape_msgs std_msgs)

# define the project
catkin_package(CATKIN_DEPENDS actionlib_msgs geometry_msgs sensor_msgs shape_msgs std_msgs)

=== debian/changelog ===
ros-noetic-object-recognition-msgs (0.4.2-1buster) buster; urgency=high

  * Bump CMake version to avoid CMP0048
  * Contributors: Jonathan Binney, Shane Loretz

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 23 Apr 2020 07:00:00 -0000

ros-noetic-object-recognition-msgs (0.4.1-1buster) buster; urgency=high

  * have the package be architecture independent
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 11 May 2014 07:00:00 -0000

ros-noetic-object-recognition-msgs (0.4.0-1buster) buster; urgency=high

  * "0.4.0"
  * fixes #3 <https://github.com/wg-perception/object_recognition_msgs/issues/3> by moving docs to object_recognition_ros
    remove docs as their built depends on ecto. Put everything in object_recognition_ros
  * let message generation handle Python
  * no need for stack.xml now that Fuerte support is dropped
  * remove redundant info in Table.msg
  * add headers to the Table messages
  * drop Fuerte support
  * change email address
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 08 Dec 2013 08:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.19-1buster) buster; urgency=high

  * use the mesh from shape_msgs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Mar 2013 07:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.18-1buster) buster; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Mar 2013 07:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.17-1buster) buster; urgency=high

  * rename the type to key to keep the DB paradigm
  * add dependencies
  * update the dependencies
  * get the compile to compile even without ecto
  * rename ObjectId to ObjectType
  * add basic docs
  * no need for the include folder that was only used by tabletop
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Mar 2013 08:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.16-1buster) buster; urgency=high

  * add the std_msgs dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 27 Feb 2013 04:19:00 -0000

ros-noetic-object-recognition-msgs (0.3.15-1buster) buster; urgency=high

  * fix unneeded dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 26 Feb 2013 19:19:00 -0000

ros-noetic-object-recognition-msgs (0.3.14-1buster) buster; urgency=high

  * have the ecto cells be generated in object_recognition_ros
  * CMake cleanups
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Feb 2013 08:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.13-1buster) buster; urgency=high

  * use the proper catkin variable
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 13 Jan 2013 08:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.12-1buster) buster; urgency=high

  * remove some warnings
  * remove some compilation error
  * added an optional ROI into the object recognition action
  * add an other conversion routine
  * Contributors: Tommaso Cavallari, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 04 Jan 2013 08:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.11-1buster) buster; urgency=high

  * install to the right location on Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Nov 2012 01:06:00 -0000

ros-noetic-object-recognition-msgs (0.3.10-1buster) buster; urgency=high

  * try to fix the Unknown CMake command "find_program_required".
  * added header to RecognizedObjectArray
  * remove the copyright tag
  * Contributors: Tommaso Cavallari, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Nov 2012 00:50:00 -0000

ros-noetic-object-recognition-msgs (0.3.9-1buster) buster; urgency=high

  * fix the install paths
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Nov 2012 07:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.8-1buster) buster; urgency=high

  * fix install on Fuerte
  * find ecto so that we can check whether we are on Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 01 Nov 2012 07:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.7-1buster) buster; urgency=high

  * call generate_messages before catkin_package to comply to the new API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Oct 2012 07:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.6-1buster) buster; urgency=high

  * fix dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 11 Oct 2012 07:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.5-1buster) buster; urgency=high

  * remove support for Electric which was broken anyway since we are using Shape from Fuerte and above
  * comply to the new API
  * comply to the new catkin API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 10 Oct 2012 07:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.4-1buster) buster; urgency=high

  * have code work with Electric/Fuerte/Groovy
  * use the cleaner pubsub API
  * use the new ectomodule API
  * remove the Shape msg, as mentioned before, this is in common_msgs now
  * add the manifest so that we can build against it on fuerte with rosbuild
  * Merge branch 'master' of https://github.com/wg-perception/object_recognition_msgs
  * updated shape_conversions to use the common_msgs shape message
    instead of the arm_navigation one
  * actually build the message
  * Forgotten shape message
  * Contributors: Jonathan Binney, Mac Mason, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 08 Sep 2012 07:00:00 -0000

ros-noetic-object-recognition-msgs (0.3.3-1buster) buster; urgency=high

  * use the mesh message from common_msgs


=== debian/control ===
Source: ros-noetic-object-recognition-msgs
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-sensor-msgs, ros-noetic-shape-msgs, ros-noetic-std-msgs
Homepage: http://www.ros.org/wiki/object_recognition
Standards-Version: 3.9.2

Package: ros-noetic-object-recognition-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib-msgs, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-sensor-msgs, ros-noetic-shape-msgs, ros-noetic-std-msgs
Description: Object_recognition_msgs contains the ROS message and the actionlib definition used in object_recognition_core

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-object-recognition-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
